#define modelcount 6
MODEL_SIG models[modelcount];
void InitModels() {
	models[0].mdlname = "Bytewise Hashed Model\0";
	models[0].initf = (BM_INIT*) InitBBM;
	models[0].predf = (BM_PRED*) BBMP1;
	models[0].feedf = (BM_FEED*) BBMUpdate;
	models[0].freef = (BM_FREE*) DestroyBBM;
	models[1].mdlname = "Simple Bitwise Model\0";
	models[1].initf = (BM_INIT*) InitBM;
	models[1].predf = (BM_PRED*) BMP1;
	models[1].feedf = (BM_FEED*) BMUpdate;
	models[1].freef = (BM_FREE*) DestroyBM;
	models[2].mdlname = "Adaptive Bitwise Model\0";
	models[2].initf = (BM_INIT*) InitABM;
	models[2].predf = (BM_PRED*) ABMP1;
	models[2].feedf = (BM_FEED*) ABMUpdate;
	models[2].freef = (BM_FREE*) DestroyABM;
	models[3].mdlname = "Indexed Bitwise Model Array\0";
	models[3].initf = (BM_INIT*) InitDBM;
	models[3].predf = (BM_PRED*) DBMP1;
	models[3].feedf = (BM_FEED*) DBMUpdate;
	models[3].freef = (BM_FREE*) DestroyDBM;
	models[4].mdlname = "Hashed Bitwise Model\0";
	models[4].initf = (BM_INIT*) InitHBM;
	models[4].predf = (BM_PRED*) HBMP1;
	models[4].feedf = (BM_FEED*) HBMUpdate;
	models[4].freef = (BM_FREE*) DestroyHBM;
	models[5].mdlname = "Combined Model\0";
	models[5].initf = (BM_INIT*) InitTM;
	models[5].predf = (BM_PRED*) TMP1;
	models[5].feedf = (BM_FEED*) TMUpdate;
	models[5].freef = (BM_FREE*) DestroyTM;
};